@import './main_grid.css';
html {
    font-family: Helvetica, Arial, sans-serif;
    height: 100%;
}

body {
    min-height: 100%;
    margin-bottom: 0;
}

#header {
    margin: 0;
    padding: 0;
}

div {
    margin: inherit;
}

#homeTitle {
    margin-top: 0.2em;
    margin-bottom: 0.2;
    color: rgb(10, 102, 62);
    font-size: 1.5em;
    font-weight: bolder;
    text-align: center;
}

/* TITLE */

h1 {
    margin: inherit;
}

/* EDITOR */

.textEditor {
    width: 100%;
    height: 75vh;
    resize: horizontal;
}

/* PREVIEW */

.iframeViewer {
    width: 100%;
    height: 75vh;
    resize: horizontal;
    border-style: solid;
    border-width: thin;
    border-color: #bebebe;
}

/* PARAMETERS */

.parameters {
    margin: 0;
    padding: 0;
    width: 100%;
}

.area {
    margin-top: 0;
}

/* PARAMETERS BUTTON */

.rightParameters .previewActions {
    float: right;
    font-weight: bold;
    appearance: button;
    -moz-appearance: button;
    -webkit-appearance: button;
    text-decoration: none;
    background-color: rgb(170, 218, 197);
    color: white;
    text-align: center;
    width: 3em;
    margin-left: 2px;
    margin-right: 2px;
    border: solid 1px #bebebe;
}

.rightParameters .previewActions span {
    display: inline;
    cursor: default;
    vertical-align: baseline;
    vertical-align: -webkit-baseline-middle;
    vertical-align: -moz-middle-with-baseline;
}

.rightParameters .buttonDisabled:hover {
    cursor: default;
    background-color: rgb(195, 221, 210);
}

.rightParameters .buttonEnabled:hover {
    cursor: pointer;
    background-color: rgb(10, 102, 62) !important;
}

.rightParameters .buttonEnabled:hover span {
    cursor: pointer;
}

/* FOOTER */

footer {
    text-align: center;
    display: grid;
    grid-template-columns: auto auto;
    font-size: small;
    color: rgb(61, 153, 113);
    grid-area: footer;
    padding: 0.25em;
    background-color: rgb(0, 50, 0);
}

footer img {
    margin: 0;
    padding: 0;
}